Route issue after update to 1.2.1


#1

Updated…(trimmed comments)
$ gem list

*** LOCAL GEMS ***
actionmailer (1.3.1, 1.2.5)
actionpack (1.13.1, 1.12.5)
actionwebservice (1.2.1, 1.1.6)
activerecord (1.15.1, 1.14.4)
activesupport (1.4.0, 1.3.1)
postgres (0.7.1)
rails (1.2.1, 1.1.6)
rake (0.7.1)
rmagick (1.14.1, 1.13.0)
sources (0.0.1)

Updated application…
$ rake rails:update
(in /home/craig/svn/th-db/branches/phase3)
install -c -m
0755
/usr/lib/ruby/gems/1.8/gems/rails-1.2.1/lib/tasks/…/…/bin/process/inspector
script/process/inspector

Started it up…
$ script/server
=> Booting WEBrick…
=> Rails application started on http://0.0.0.0:3000
=> Ctrl-C to shutdown server; call with --help for options
[2007-01-18 21:39:31] INFO WEBrick 1.3.1
[2007-01-18 21:39:31] INFO ruby 1.8.5 (2006-12-04) [i386-linux]
[2007-01-18 21:39:31] INFO WEBrick::HTTPServer#start: pid=6792
port=3000

Failed on first connect…(first line in log/development.log)
Expected script/…/config/…/app/controllers/login_controller.rb to
define LoginController

First 2 lines in app/controllers/login_controller.rb…

contains the basic information to maintain ‘users’, ‘rights’ and

‘roles’
class LoginController < ApplicationController

First route in ‘config/routes.rb’
map.connect ‘’, :controller => “login”, :action => ‘login’

What am I missing since this works with 1.1.6 ?

Craig


#2

I had the same error too… except my error is AccountController…
what is going on???
someone please help. Thank you


#3

Just figured this out. It isn’t because the LoginController isn’t
defined, it’s because the LoginController has some obsolete code in it
somewhere.